Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class LoginServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jasig.portal.LoginServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class LoginServlet

extends javax.servlet.http.HttpServlet

Receives the username and password and tries to authenticate the user. The form presented by org.jasig.portal.channels.CLogin is typically used to generate the post to this servlet.

Version:
  $Revision: 1.13.4.1 $
Author:
  Bernie Durfee (bdurfee@interactivebusiness.com), Don Fracapane (df7@columbia.edu) Added properties in the security properties file that hold the tokens used to represent the principal and credential for each security context.
See Also:
  Serialized Form

Field Summary
`private static java.util.HashMap` | `credentialTokens`
`private static org.apache.commons.logging.Log` | `log`
`private Authentication` | `m_authenticationService`
`private static java.util.HashMap` | `principalTokens`
`private static java.lang.String` | `redirectString`

Constructor Summary
`LoginServlet()`

Method Summary
`private java.util.HashMap` | `getPropertyFromRequest(java.util.HashMap tokens, javax.servlet.http.HttpServletRequest request)` Get the values represented by each token from the request and load them into a HashMap that is returned.
`void` | `init()` Initializes the servlet
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process the incoming HttpServletRequest

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### redirectString

    private static final java.lang.String redirectString

### credentialTokens

    private static java.util.HashMap credentialTokens

### principalTokens

    private static java.util.HashMap principalTokens

### m_authenticationService

    private Authentication m_authenticationService

Constructor Detail

### LoginServlet

    public LoginServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initializes the servlet

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Process the incoming HttpServletRequest

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` -
    `response` -
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getPropertyFromRequest

    private java.util.HashMap getPropertyFromRequest(java.util.HashMap tokens,
                                                     javax.servlet.http.HttpServletRequest request)

  Get the values represented by each token from the request and load them into a HashMap that is returned.

  Parameters:
    `tokens` -
    `request` -
  Returns:
    HashMap of properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD